BSD-3-Clause licensed by Judah Jacobson

Module documentation for 0.3.0.1

This version can be pinned in stack with:lens-labels-0.3.0.1@sha256:228b70bc37d3531c7a80aaa56f7d69bf9f9f0d85637bd886966b01f7d03d3f6b,1196

Provides a framework to integrate lenses with GHC's OverloadedLabels extension.

Changes

Changelog for lens-labels

v0.3.0.1

  • Bump the dependency on base to support ghc-8.6.1.

v0.3.0.0

  • Simplify instances to make them more readable. (#208)

v0.2.0.2

  • Bump the lower bound on base to indicate we require ghc>=8.0.

v0.2.0.1

  • Bump the dependency on base to support ghc-8.4.2.

v0.2.0.0

  • Improve readability of HasLens instances. (#118)
  • Remove support for ghc-7.10. (#136)
  • Use a .cabal file that’s auto-generated from hpack. (#138)
  • Export a Lens' type synonym. (#141)
  • Swap the order of parameters for view to match other packages. (#141)
  • Add Lens.Labels.Unwrapped, allowing easier interoperation with other lens libraries. (#157)
  • Add Lens.Labels.Prism. (#160)

v0.1.0.2

  • Bump the dependency on base to support ghc-8.2.1.
  • Build against the new API of GHC.OverloadedLabels on newer versions of GHC.

v0.1.0.1

  • Make the build -Wall-clean.

v0.1.0.0

  • Initial release.
comments powered byDisqus